include	clib.inc
include	errno.inc
include	conio.inc

	public	errnomsg

_TEXT	SEGMENT

errnomsg PROC DIST	; DX:AX file, CX format, BX title -- return -1
	push	si
	push	ds
	mov	si,errno
	add	si,si
	add	si,si
	push	word ptr [si+sys_errlist]
	push	dx
	push	ax
	mov	dx,cx
	mov	ax,bx
	call	@ermsgt
	add	sp,8
	dec	ax
	pop	si
	ret
errnomsg ENDP

_TEXT	ENDS

	END
